### Method

# Gtk ListStoreset_column_types

deprecated: 4.10

#### Declaration [src]

    void
    gtk_list_store_set_column_types (
      GtkListStore* list_store,
      int n_columns,
      GType* types
    )

#### Description [src]

Sets the types of the columns of a list store.

This function is meant primarily for objects that inherit from `GtkListStore`, and should only be used when constructing a new instance.

This function cannot be called after a row has been added, or a method on the `GtkTreeModel` interface is called.

Deprecated since: 4.10

Use list models.

#### Parameters

`n_columns`

  Type: `int`

  Number of columns for the list store.

`types`

  Type: An array of `GType`

  An array length n of `GType`s.

  The length of the array is specified in the `n_columns` argument.
  The data is owned by the caller of the method.